# Miscellaneous
*.java.hsp
*.sonarj
*.sw*
.DS_Store
build.sh
integration-repo
ivy-cache
argfile*
activemq-data/
classes/
*.class
input/*
results/*
src/main/java/com/yoki/advent_of_code/.env

# Log files
jxl.log
jmx.log
derby.log

# Gradle artifacts
.gradle
.gradletasknamecache
/build
buildSrc/build
/spring-*/build
/spring-core/graalvm/build
/spring-core/kotlin-coroutines/build
/framework-bom/build
/integration-tests/build
/src/asciidoc/build
spring-test/test-output/

# Maven artifacts
target/

# Eclipse artifacts, including WTP generated manifests
bin
.classpath
.project
.settings
.springBeans
spring-*/src/main/java/META-INF/MANIFEST.MF

# IDEA artifacts and output dirs
*.iml
*.ipr
*.iws
.idea
out
test-output
atlassian-ide-plugin.xml

# VS Code
.vscode/